petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexSetSupport

Set the points on the out-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetSupport(DM dm, PetscInt p, const PetscInt support[])

Not collective Many br

### Input Parameters

| mesh | - The DMPlex Many br
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart() Many br
| support | - An array of points which are on the in-edges for point p Many br

### Output Parameter

### Note

This should be called after all calls to DMPlexSetSupportSize() and DMSetUp(). Many br

Many br

### See Also

DMPlexCreate(), DMPlexGetSupport(), DMPlexSetChart(), DMPlexSetSupportSize(), DMSetUp()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html